agency-board
POST /v1/agency/boards/{boardId}/event-subscriptions
Turn a platform event on for this board.
Autenticación
Envía una clave de API como token de portador. Este endpoint no especifica un permiso concreto en la especificación, así que otorga a tu clave los mínimos privilegios necesarios y comprueba la respuesta en lugar de dar por sentado.
Este endpoint no requiere ningún id de organización. Su clave ya identifica la organización a la que pertenece, y la respuesta está delimitada a ella.
Pruébalo
Reemplaza cualquier elemento entre corchetes angulares por tus propios valores, y el marcador de posición key con una clave de tu panel de control.
curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/event-subscriptions \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "event_type": <string>, "column_id": <Uuid> }'¿Has iniciado sesión? La consola de la API en tu panel de control rellena el ID de tu organización real y tu propia clave, y ejecuta la solicitud contra la API en vivo para que puedas ver la respuesta real. Abre este endpoint en la consola de la API
Detalles
Opt-in, per board, off by default — nothing appears on a board nobody chose. One subscription per event type per board; posting the same event type again updates it. Cards land `internal` unless you say otherwise: a platform event names our own infrastructure and sometimes our own failures, and putting one in front of the agency's client should be a choice rather than a default.
Parámetros
| Nombre | Tipo | Obligatorio | ¿Qué es esto? |
|---|---|---|---|
boardId (path) | Uuid | Sí | Project board ID (UUIDv7). |
Cuerpo de la solicitud
| Nombre | Tipo | Obligatorio | ¿Qué es esto? |
|---|---|---|---|
event_type | string | Sí | — |
column_id | Uuid | Sí | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
label_id | Uuid | No | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_visibility | string<internal, client> | No | — |
enabled | boolean | No | — |
Respuesta
| Nombre | Tipo | Obligatorio | ¿Qué es esto? |
|---|---|---|---|
id | Uuid | Sí | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
board_id | Uuid | Sí | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
event_type | string | Sí | — |
column_id | Uuid | Sí | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
label_id | Uuid | No | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_visibility | string<internal, client> | No | — |
enabled | boolean | Sí | — |
card_count | integer | No | — |
last_card_at | string | No | — |
created_at | string | No | — |
Errores que este endpoint puede devolver
401 · 403 · 404 · 422